"""===============================================================
با فرض اینکه اطلاعات مربوط به ۳۰۰ شهروند شامل کد ملی، تاریخ تولد
کد ملی همسر، تاریخ تولد همسر و تعداد فرزندان به ترتیب مذکور در
آرایه A ذخیره شده است منطق برنامه ای را طراحی کنید که اطلاعات مربوط
به ۳۰۰ شهروند براساس کد ملی به صورت صعودی مرتب کند.
==============================================================="""

info = [
    [2420114531,1368,5420114531,1378,5],
    [3420114531,1362,9420114531,1375,1],
    [1420114531,1367,8420114531,1373,3],
    [2520114531,1373,7420114531,1374,2],
]
#--------------مرتب سازی با الگوریتم درجی---------------
for i in range(len(info)):
    temp = info[i][0]
    temp_gen = info[i]
    index = i
    for j in range(i-1,-1,-1):
        if info[j][0] > temp:
            info[j+1] = info[j]
            index = j
    info[index] = temp_gen

for i in info:
    print(i)
